# AP4_SampleDescription Class Reference

`#include <Ap4SampleDescription.h>`

Inheritance diagram for AP4_SampleDescription:

List of all members.

## Public Types
enum | Type { TYPE_UNKNOWN = 0x00, TYPE_MPEG = 0x01, TYPE_PROTECTED = 0x02 }
## Public Member Functions
| AP4_SampleDescription (Type type, AP4_UI32 format, AP4_AtomParent *details)
virtual | ~AP4_SampleDescription ()
Type | GetType () const
AP4_UI32 | GetFormat () const
AP4_AtomParent & | GetDetails ()
virtual AP4_Atom * | ToAtom () const
## Protected Attributes
Type | m_Type
AP4_UI32 | m_Format
AP4_AtomParent | m_Details

## Detailed Description

Definition at line 57 of file Ap4SampleDescription.h.

## Member Enumeration Documentation

enum AP4_SampleDescription::Type

Enumerator:

  TYPE_UNKNOWN |
  TYPE_MPEG |
  TYPE_PROTECTED |

Definition at line 61 of file Ap4SampleDescription.h.

## Constructor & Destructor Documentation

AP4_SampleDescription::AP4_SampleDescription | ( | Type | type,
|  | AP4_UI32 | format,
|  | AP4_AtomParent * | details |
| ) |  |  |

virtual AP4_SampleDescription::~AP4_SampleDescription | ( |  | ) | `[inline, virtual]`

Definition at line 71 of file Ap4SampleDescription.h.

## Member Function Documentation

Type AP4_SampleDescription::GetType | ( |  | ) | const`[inline]`

Definition at line 74 of file Ap4SampleDescription.h.

References m_Type.

AP4_UI32 AP4_SampleDescription::GetFormat | ( |  | ) | const`[inline]`

Definition at line 75 of file Ap4SampleDescription.h.

References m_Format.

AP4_AtomParent& AP4_SampleDescription::GetDetails | ( |  | ) | `[inline]`

Definition at line 76 of file Ap4SampleDescription.h.

References m_Details.

virtual AP4_Atom* AP4_SampleDescription::ToAtom | ( |  | ) | const`[virtual]`

Reimplemented in AP4_ProtectedSampleDescription, AP4_MpegSystemSampleDescription, AP4_MpegAudioSampleDescription, and AP4_MpegVideoSampleDescription.

## Member Data Documentation

Type AP4_SampleDescription::m_Type`[protected]`

Definition at line 82 of file Ap4SampleDescription.h.

Referenced by GetType().

AP4_UI32 AP4_SampleDescription::m_Format`[protected]`

Reimplemented in AP4_MpegSampleDescription.

Definition at line 83 of file Ap4SampleDescription.h.

Referenced by GetFormat().

AP4_AtomParent AP4_SampleDescription::m_Details`[protected]`

Definition at line 84 of file Ap4SampleDescription.h.

Referenced by GetDetails().

The documentation for this class was generated from the following file:

- Ap4SampleDescription.h